#<profile4xi profile = "11" /> 
# -------------------------------------------------------------------------------------------------
#<program4xi program = "fire700six4xi.py">
#<abstract4xi abstract = "fires to direction six and to distance 700"/>
#<verify4xi verification = "11" target = "verb4xi.py"/>
#<refer4xi reference = "verb4xi.py"/>
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------

# -------------------------------------------------------------------------------------------------
# Public API
# -------------------------------------------------------------------------------------------------
#<interface4xi interface = " 
__all__ = [ 'fire2six4xi']
#"
#/>


# -------------------------------------------------------------------------------------------------
# Standard Imports                          
# -------------------------------------------------------------------------------------------------
#<standardize4xi standard = "
import os
import sys
import threading                
import _thread   

import signal
import itertools
import weakref
import logging 

from math import pi
from math import sin
from math import cos 
from math import fabs
#"
#/>

# -------------------------------------------------------------------------------------------------
# DragonXi imports                              
# -------------------------------------------------------------------------------------------------
#<dragonize4xi dragonization = "


from time4xi import time4xi

#"
#/>
       
       
# -------------------------------------------------------------------------------------------------
# SHOT2SIX - COORDINATE SIGNS OF SHOOT2SIX4XI: (X - ,Y + ,Z - )
# -------------------------------------------------------------------------------------------------    
global shot2six7004xi




# -------------------------------------------------------------------------------------------------
# Settings
# -------------------------------------------------------------------------------------------------
#<set4xi setting = "
ack2debug = False

shot2six7004xi = {
                1:'-101x215y-658z',
                2:'-102x8y-692z',
                3:'-108x663y-195z',
                4:'-109x14y-691z',
                5:'-109x204y-660z',
                6:'-111x478y-498z',
                7:'-114x21y-690z',
                8:'-116x192y-662z',
                9:'-117x665y-183z',
                10:'-120x29y-688z',
                11:'-123x180y-664z',
                12:'-125x37y-687z',
                13:'-128x168y-667z',
                14:'-129x46y-686z',
                15:'-132x156y-669z',
                16:'-133x55y-684z',
                17:'-134x467y-503z',
                18:'-136x144y-671z',
                19:'-136x65y-683z',
                20:'-138x132y-673z',
                21:'-138x76y-681z',
                22:'-140x121y-675z',
                23:'-140x86y-680z',
                24:'-141x109y-676z',
                25:'-141x97y-678z',
                26:'-142x654y-202z',
                27:'-151x656y-190z',
                28:'-157x454y-508z',
                29:'-176x644y-208z',
                30:'-179x441y-513z',
                31:'-185x645y-197z',
                32:'-199x426y-517z',
                33:'-209x632y-215z',
                34:'-20x283y-639z',
                35:'-218x633y-203z',
                36:'-219x410y-522z',
                37:'-237x394y-527z',
                38:'-241x618y-222z',
                39:'-250x618y-210z',
                40:'-255x376y-531z',
                41:'-271x358y-536z',
                42:'-272x602y-228z',
                43:'-281x602y-217z',
                44:'-286x340y-540z',
                45:'-299x320y-545z',
                46:'-302x585y-235z',
                47:'-311x585y-223z',
                48:'-312x300y-549z',
                49:'-323x280y-553z',
                50:'-331x567y-241z',
                51:'-333x259y-558z',
                52:'-340x566y-230z',
                53:'-341x238y-562z',
                54:'-349x217y-566z',
                55:'-34x275y-642z',
                56:'-352x11y-604z',
                57:'-354x196y-570z',
                58:'-357x30y-601z',
                59:'-359x174y-574z',
                60:'-359x546y-248z',
                61:'-361x50y-597z',
                62:'-362x153y-578z',
                63:'-363x70y-593z',
                64:'-365x111y-586z',
                65:'-365x132y-582z',
                66:'-365x90y-590z',
                67:'-368x545y-237z',
                68:'-385x525y-254z',
                69:'-395x523y-243z',
                70:'-411x502y-261z',
                71:'-420x500y-250z',
                72:'-435x478y-267z',
                73:'-441x543y-2z',
                74:'-444x476y-256z',
                75:'-457x452y-274z',
                76:'-466x450y-263z',
                77:'-469x519y-9z',
                78:'-478x426y-280z',
                79:'-487x423y-269z',
                80:'-48x266y-645z',
                81:'-495x493y-16z',
                82:'-498x399y-287z',
                83:'-507x395y-276z',
                84:'-516x370y-293z',
                85:'-520x466y-23z',
                86:'-524x367y-282z',
                87:'-532x341y-299z',
                88:'-540x337y-288z',
                89:'-544x438y-30z',
                90:'-546x311y-306z',
                91:'-555x307y-295z',
                92:'-559x281y-312z',
                93:'-566x409y-37z',
                94:'-570x250y-318z',
                95:'-579x219y-324z',
                96:'-586x379y-43z',
                97:'-587x187y-331z',
                98:'-593x155y-337z',
                99:'-597x123y-343z',
                100:'-598x28y-361z',
                101:'-599x59y-355z',
                102:'-599x91y-349z',
                103:'-605x347y-50z',
                104:'-60x257y-647z',
                105:'-61x497y-488z',
                106:'-622x315y-57z',
                107:'-637x282y-64z',
                108:'-649x316y-344z',
                109:'-650x248y-71z',
                110:'-661x213y-78z',
                111:'-671x178y-85z',
                112:'-678x142y-92z',
                113:'-684x106y-99z',
                114:'-688x70y-106z',
                115:'-689x34y-113z',
                116:'-72x248y-650z',
                117:'-73x670y-188z',
                118:'-82x237y-653z',
                119:'-86x488y-493z',
                120:'-92x227y-655z',
                121:'-96x2y-693z'}
#"
#/>


# -------------------------------------------------------------------------------------------------------------------
#<function4xi function = "fire700six4xi" usage = "target function for charge2six4xi with Process4Xi">
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------------------------
def fire700six4xi(queue2six, consumer_channel2six, publisher_channel2six):
    '''
    returns (x,y,z) coordinates via queue
    '''
    
    # -------------------------------------------------------------------------------------------------
    # PARAMETERS                   
    # -------------------------------------------------------------------------------------------------                                                               
    
    time2start = time4xi()
    if ack2debug is True:
        print("\n (STEP 1A1/33) OF FIRE700SIX4XI - STARTED TIME: ", time2start)
        # 
        
        print("\n (STEP 1A2/33) OF FIRE700SIX4XI -  QUEUE2SIX: ", queue2six)      
        # 
        
        print("\n (STEP 1A3/33) OF FIRE700SIX4XI -  CONSUMER_CHANNEL2SIX: ", consumer_channel2six)
        # 
              
        print("\n (STEP 1A4/33) OF FIRE700SIX4XI -  PUBLISHER_CHANNEL2SIX: ", publisher_channel2six)          
        # 
        


    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    # QUEUE RETURNING
    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    ack2put = False
    if ack2debug is True:
        print("\n (STEP 2A/33) OF FIRE700SIX4XI - TRYING TO RETURN BY PUTTING COORDINATE DICTIONARY TO QUEUE2SIX: ", queue2six, " - TIME: ", time4xi()) 
        # 
         
    try:
        # ------------------------------------------------------------------------------------- 
        # PUT SHOT TO QUEUE 
        # -------------------------------------------------------------------------------------                 
        queue2six.put(shot2six7004xi)
        if ack2debug is True:
            print("\n (STEP 2B/33) OF FIRE700SIX4XI - SUCCEEDED TO PUT COORDINATE DICTIONARY TO QUEUE2SIX: ", queue2six, " - TIME: ", time4xi()) 
            # 
             
        ack2put = True
    except:
        print("\n (STEP 2C/33) OF FIRE700SIX4XI *** FAILED TO PUT COORDINATE DICTIONARY TO QUEUE2SIX: ", queue2six, " - TIME: ", time4xi()) 
    
    if ack2debug is True:
        print("\n (STEP 3A/33) OF FIRE700SIX4XI - TRYING TO INFORM PUT OPERATIONS VIA PIPE'S PUBLISHER_CHANNEL2SIX: ", publisher_channel2six, " - TIME: ", time4xi())
        # 
         
    try:                
        # ---------------------------------------------------------------------------------------------
        # INFORM PUT OPERATIONS VIA PIPE'S PUBLISHER CHANNEL 
        # ---------------------------------------------------------------------------------------------
        if ack2put is True:
            message2send4one = "<ack2put4xi>queue2six8shot2six700x4xi</ack2put4xi>"
        else:
            message2send4one = "<nack2put4xi>queue2six8shot2six700x4xi</nack2put4xi>" 
            
        publisher_channel2six.send(message2send4one)
        if ack2debug is True:    
            print(" (STEP 3B/33) OF FIRE700SIX4XI -  SENT MESSAGE2SEND4ONE: ", message2send4one, " TO PUBLISHER_CHANNEL2SIX: ", publisher_channel2six, " - TIME: ", time4xi()) 
            # 
        
    except:
        print(" (STEP 3C/33) OF FIRE700SIX4XI *** FAILED TO SEND MESSAGE2SEND4ONE: ", message2send4one, " TO PUBLISHER_CHANNEL2SIX: ", publisher_channel2six, " - TIME: ", time4xi()) 
    
    if ack2debug is True:        
        print("\n (STEP 3D/33) OF FIRE700SIX4XI - RETURNING QUEUE OBJECT QUEUE2SIX: ", queue2six, " - TIME: ", time4xi())  
        # 
            
    return queue2six    
        
           
#</function4xi>


#</program4xi>
# -------------------------------------------------------------------------------------------------
# Recorded History                             
# ------------------------------------------------------------------------------------------------- 
#<record4xi record = "
#   test_verb4xi.txt
#   sense-test-verb4xi.xml
#   reason-test-verb4xi.xml
#   ace-test-verb4xi.xml
#"
#>



# -------------------------------------------------------------------------------------------------
# Legal Notice                             
# ------------------------------------------------------------------------------------------------- 
#<protect4xi protection = "copyright"
#   owner = "Small & Smart"
#   rights = "All rights reserved"
#   state = "California"
#   country = "United States of America"
#   references = "Legal notice at www.dragonxi.com; www.yourdragonxi.com; www.yourdragonxi.org; www.dragon2xi.com/; www.dragon4xi.com/; www.dragon8xi.com/ " 
#   codes = "Codes established in California and applicable to corporations in California"
#   compliance = "The California Law"
#   court = "Supreme Court of California, 350 McAllister Street, San Francisco, CA 94102-4783"
#/>
 

#<end4xi end = "
# -------------------------------------------------------------------------------------------------
# end of fire700six4xi.py                             
# ------------------------------------------------------------------------------------------------- 
#"
#/>
